AttachVmNicToVm
AttachVmNicToVm
/zstack/v1/vm-instances/{vmInstanceUuid}/nices/{vmNicUuid}Operation ID
AttachVmNicToVmSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
vmNicUuidStringRequiredThe NIC UUID.
vmInstanceUuidListRequiredThe VM UUID.
Body Fields
systemTagsListOptional. The system tags。
userTagsListOptional. The user tags.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoryVmInstanceInventoryRequiredSee inventory
uuidStringRequiredThe VM UUID.
nameStringRequiredThe VM name.
descriptionStringRequiredThe detailed description of the VM.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
imageUuidStringRequiredThe image UUID.
hostUuidStringRequiredThe host UUID.
lastHostUuidStringRequiredThe UUID of the host on which the VM instance was running last time.
instanceOfferingUuidStringRequiredThe instance offering UUID.
rootVolumeUuidStringRequiredThe root volume UUID.
platformStringRequiredThe platform on which the VM instance is running.
defaultL3NetworkUuidStringRequiredThe UUID of the default L3 network.
typeStringRequiredThe VM instance type.
hypervisorTypeStringRequiredThe hypervisor type of the VM instance.
memorySizeLongRequiredThe memory size.
cpuNumIntegerRequiredThe number of CPU cores of the VM instance.
cpuSpeedLongRequiredThe CPU speed.
allocatorStrategyStringRequiredThe allocator strategy.
createDateTimestampRequiredThe time when the VM instance was created.
lastOpDateTimestampRequiredThe time when the VM instance was last modified.
stateStringRequiredThe state of the VM instance.
vmNicsListRequiredSee vmNics.
uuidStringRequiredThe UUID of the NIC.
vmInstanceUuidStringRequiredThe VM UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipStringRequiredThe IP address of the NIC.
macStringRequiredThe MAC address of the NIC.
hypervisorTypeStringRequiredThe virtualization type.
netmaskStringRequiredThe netmask of the NIC.
gatewayStringRequiredThe gateway IP address.
metaDataStringRequiredThe metadata.
ipVersionIntegerRequiredThe version of the IP address.
deviceIdIntegerRequiredThe device ID.
typeStringRequiredThe NIC type.
createDateTimestampRequiredThe time when the NIC was added.
lastOpDateTimestampRequiredThe time when the NIC was last modified.
usedIpsListRequiredSee usedIps
uuidStringRequiredThe IP address UUID.
ipRangeUuidStringRequiredThe IP range UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipVersionIntegerRequiredThe IP version.
ipStringRequiredThe IP address.
netmaskStringRequiredThe netmask.
gatewayStringRequiredThe gateway.
usedForStringRequiredThe intended use.
ipInLonglongRequiredThe IP address represented as a long integer.
vmNicUuidStringRequiredThe VM NIC UUID.
createDateTimestampRequiredThe time when the IP address was used.
lastOpDateTimestampRequiredThe time when the IP address was last modified.
allVolumesListRequiredSee allVolumes.
uuidStringRequiredThe volume UUID.
nameStringRequiredThe volume name.
descriptionStringRequiredThe detailed description of the volume.
primaryStorageUuidStringRequiredThe primary storage UUID.
vmInstanceUuidStringRequiredThe bare metal instance UUID.
diskOfferingUuidStringRequiredThe volume offering UUID.
rootImageUuidStringRequiredThe root image UUID.
installPathStringRequiredThe installation path of the volume in the primary storage.
typeStringRequiredThe type of the volume.
formatStringRequiredThe format of the volume.
sizeLongRequiredThe size of the volume.
actualSizeLongRequiredThe actual storage space that the volume takes up.
deviceIdIntegerRequiredThe device ID.
stateStringRequiredThe state of the volume.
statusStringRequiredThe status of the volume.
createDateTimestampRequiredThe time when the volume was created.
lastOpDateTimestampRequiredThe time when the volume was last modified.
isShareableBooleanRequiredIndicates whether the volume is shareable.
volumeQosStringRequiredThe QoS of the volume, for example, 1048576.
